name: Download and Commit File

on:
  schedule:
    - cron: '0 */8 * * *'  # alle 8 Stunden
  workflow_dispatch:       # manuell auslösbar

jobs:
  download_and_commit:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout Repository
        uses: actions/checkout@v4

      - name: Download File
        run: |
          curl -L "https://flod.send.nrw/download/flodpod" -o flodlist.txt

      - name: Commit and Push Changes
        run: |
          git config user.name "github-actions[bot]"
          git config user.email "github-actions[bot]@users.noreply.github.com"
          
          git add flodlist.txt
          git diff --cached --quiet && echo "No changes" && exit 0
          
          git commit -m "🔄 Update flodlist.txt (scheduled)"
          git push
